package com.bocloud.ims.interfaces.resource.azure.monitor;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.monitor.MetricAlert;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: MetricAlertService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/1/8 14:09
 */
public interface MetricAlertService {

    BocloudResult<GridBean<MetricAlert>> list(Pager pager, RequestContext context);

    BocloudResult<MetricAlert> detail(Long id, RequestContext context);

    BocloudResult<Void> modify(MetricAlert entityParams, RequestContext context);

    BocloudResult<Void> create(MetricAlert entityParams, RequestContext context);

    BocloudResult<Void> createBatch(MetricAlert entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult multipleQueries(String condition, RequestContext context);


}